Page MenuHomePhabricator

"This is not the latest revision" popup persists beyond edits
Closed, ResolvedPublicBUG REPORT

Description

On Windows 10 x64, the popup that reads "This is not the latest revision of this page. make sure you have reviewed the newer versions as well. Please also keep in mind that a rollback may not be possible from this point." appears when using keyboard navigation, and persists until the mouse is moved. This is distracting to a user.

Steps to Reproduce:

  • Open Huggle (version 3.4.9, build 3809, 64 bit) on Windows 10, 64-bit and log in
  • Skip through a few edits using the spacebar until you land on one with the aforementioned popup.
  • Skip that edit using the spacebar

Actual Results:

Ideally, the popup should disappear as soon as you switch to a different edit (unless that edit is also not the latest revision)

Expected Results:

Popup persists anyways

Event Timeline

Phuzion created this task.Feb 26 2020, 9:43 PM
Petrb triaged this task as Medium priority.Mar 27 2020, 9:19 PM
Petrb added a subscriber: Petrb.Apr 9 2020, 5:17 PM

I can't really reproduce this, it seems it's not happening on Mac, but this should probably fix it: https://github.com/huggle/huggle3-qt-lx/commit/c6f964f60b2ba519e2643e21d060d61f7c6eebac

Petrb closed this task as Resolved.Apr 9 2020, 5:17 PM
Petrb claimed this task.